import LimitPermission from "./LimitPermission"
export enum PermissionEnum {
  VIEW_ALL_COURSE = "VIEW_ALL_COURSE",
  CREATE_COURSE = "CREATE_COURSE",
  VIEW_DETAIL_COURSE = "VIEW_DETAIL_COURSE",
  UPDATE_COURSE = "UPDATE_COURSE",
  DELETE_COURSE = "DELETE_COURSE",
  VIEW_LEARNING_CONTENT = "VIEW_LEARNING_CONTENT",
  CREATE_LEARNING_CONTENT = "CREATE_LEARNING_CONTENT",
  UPDATE_LEARNING_CONTENT = "UPDATE_LEARNING_CONTENT",
  DELETE_LEARNING_CONTENT = "DELETE_LEARNING_CONTENT",
  VIEW_ALL_STAFF = "VIEW_ALL_STAFF",
  CREATE_STAFF = "CREATE_STAFF",
  VIEW_DETAIL_STAFF = "VIEW_DETAIL_STAFF",
  UPDATE_STAFF = "UPDATE_STAFF",
  DELETE_STAFF = "DELETE_STAFF",
  VIEW_LIST_TEST = "VIEW_LIST_TEST",
  VIEW_TEST = "VIEW_TEST",
  CREATE_TEST = "CREATE_TEST",
  UPDATE_TEST = "UPDATE_TEST",
  DELETE_TEST = "DELETE_TEST",
  VIEW_LIST_CLASS = "VIEW_LIST_CLASS",
  VIEW_CLASS = "VIEW_CLASS",
  CREATE_CLASS = "CREATE_CLASS",
  UPDATE_CLASS = "UPDATE_CLASS",
  VIEW_LIST_QUIZ_CLASS = "VIEW_LIST_QUIZ_CLASS",
  VIEW_QUIZ_CLASS = "VIEW_QUIZ_CLASS",
  CREATE_QUIZ_CLASS = "CREATE_QUIZ_CLASS",
  UPDATE_QUIZ_CLASS = "UPDATE_QUIZ_CLASS",
  DELETE_QUIZ_CLASS = "DELETE_QUIZ_CLASS",
  DO_QUIZ = "DO_QUIZ",
  VIEW_QUIZ_RESULT = "VIEW_QUIZ_RESULT",
  GRADE_QUIZ = "GRADE_QUIZ",
  VIEW_QUIZ_RESULT_MANAGEMENT = "VIEW_QUIZ_RESULT_MANAGEMENT",
  VIEW_LIST_POST = "VIEW_LIST_POST",
  VIEW_POST = "VIEW_POST",
  CREATE_POST = "CREATE_POST",
  UPDATE_POST = "UPDATE_POST",
  DELETE_POST = "DELETE_POST",
  VIEW_LIST_COMMENT = "VIEW_LIST_COMMENT",
  COMMENT_POST = "COMMENT_POST",
  INTERACT_POST = "INTERACT_POST",
  UPDATE_COMMENT = "UPDATE_COMMENT",
  DELETE_COMMENT = "DELETE_COMMENT",
  VIEW_LIST_UNIT_CLASS = "VIEW_LIST_UNIT_CLASS",
  VIEW_UNIT_CLASS = "VIEW_UNIT_CLASS",
  CREATE_UNIT_CLASS = "CREATE_UNIT_CLASS",
  UPDATE_UNIT_CLASS = "UPDATE_UNIT_CLASS",
  DELETE_UNIT_CLASS = "DELETE_UNIT_CLASS",
  VIEW_LIST_VOTING = "VIEW_LIST_VOTING",
  VIEW_VOTING = "VIEW_VOTING",
  CREATE_VOTING = "CREATE_VOTING",
  UPDATE_VOTING = "UPDATE_VOTING",
  DELETE_VOTING = "DELETE_VOTING",
  VIEW_CLASS_SCHEDULER = "VIEW_CLASS_SCHEDULER",
  UPDATE_CLASS_SCHEDULER = "UPDATE_CLASS_SCHEDULER",
  CREATE_CLASS_SESSION = "CREATE_CLASS_SESSION",
  UPDATE_CLASS_SESSION = "UPDATE_CLASS_SESSION",
  DELETE_CLASS_SESSION = "DELETE_CLASS_SESSION",
  CREATE_ANNOUNCEMENT_CENTRAL = "CREATE_ANNOUNCEMENT_CENTRAL",
  CREATE_ANNOUNCEMENT_CLASS = "CREATE_ANNOUNCEMENT_CLASS",
  VIEW_LIST_ANNOUNCEMENT_CENTRAL = "VIEW_LIST_ANNOUNCEMENT_CENTRAL",
  VIEW_LIST_ANNOUNCEMENT = "VIEW_LIST_ANNOUNCEMENT",
  VIEW_LIST_STUDENT_IN_CLASS = "VIEW_LIST_STUDENT_IN_CLASS",
  ADD_STUDENT_TO_CLASS = "ADD_STUDENT_TO_CLASS",
  VIEW_LIST_TEACHER_IN_CLASS = "VIEW_LIST_TEACHER_IN_CLASS",
  ADD_TEACHER = "ADD_TEACHER",
  UPDATE_TEACHER = "UPDATE_TEACHER",
  DELETE_TEACHER = "DELETE_TEACHER",
  UPDATE_STUDENT = "UPDATE_STUDENT",
  DELETE_STUDENT = "DELETE_STUDENT",
  VIEW_USER_INFO = "VIEW_USER_INFO",
  DELETE_CLASS = "DELETE_CLASS",
  VIEW_DETAIL_STUDENT = "VIEW_DETAIL_STUDENT",
  ALLOCATE_ACCOUNT_STAFF = "ALLOCATE_ACCOUNT_STAFF",
  DELETE_ACCOUNT_STAFF = "DELETE_ACCOUNT_STAFF",
  CREATE_ROLE = "CREATE_ROLE",
  UPDATE_ROLE = "UPDATE_ROLE",
  VIEW_LIST_ROLE = "VIEW_LIST_ROLE",
  VIEW_DETAIL_ROLE = "VIEW_DETAIL_ROLE",
  DELETE_ROLE = "DELETE_ROLE",
  ADD_STUDENT = "ADD_STUDENT",
  VIEW_LIST_STUDENT = "VIEW_LIST_STUDENT",
  VIEW_LIST_GRADE_TAG_IN_CLASS = "VIEW_LIST_GRADE_TAG_IN_CLASS",
  CREATE_GRADE_TAG_IN_CLASS = "CREATE_GRADE_TAG_IN_CLASS",
  UPDATE_GRADE_TAG = "UPDATE_GRADE_TAG",
  DELETE_GRADE_TAG = "DELETE_GRADE_TAG",
  VIEW_DETAIL_GRADE_TAG = "VIEW_DETAIL_GRADE_TAG",
  VIEW_GRADE_RESULT_IN_CLASS = "VIEW_GRADE_RESULT_IN_CLASS",
  GRANT_PERMISSION = "GRANT_PERMISSION",
  CALCULATE_GRADE_TAG = "CALCULATE_GRADE_TAG",
  REMOVE_STUDENT_FROM_CLASS = "REMOVE_STUDENT_FROM_CLASS",

  VIEW_CLASS_ATTENDANCE = "VIEW_CLASS_ATTENDANCE",
  VIEW_SESSION_ATTENDANCE = "VIEW_SESSION_ATTENDANCE",
  UPDATE_SESSION_ATTENDANCE = "UPDATE_SESSION_ATTENDANCE",
  VIEW_TEXTBOOK_CENTRAL = "VIEW_TEXTBOOK_CENTRAL",
  ADD_TEXTBOOK_CENTRAL = "ADD_TEXTBOOK_CENTRAL",
  UPDATE_TEXTBOOK_CENTRAL = "UPDATE_TEXTBOOK_CENTRAL",
  DELETE_TEXTBOOK_CENTRAL = "DELETE_TEXTBOOK_CENTRAL"
}
type PermissionMap = {
  [key in PermissionEnum]: LimitPermission
}
export default PermissionMap